BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

Designates the general Unicode category of a .

These categories conform to Version 3.1 of the Unicode Standard.

For information on mapping specific Unicode characters to categories, see the UnicodeData.txt file in the Unicode Character Database at http://www.unicode.org/Public/UNIDATA/UnicodeCharacterDatabase.html. The UnicodeData.txt file format is described at http://www.unicode.org/Public/3.1-Update/UnicodeData-3.1.0.html.

This enumeration is used to support methods such as , , etc.

- Field
  System.Globalization.UnicodeCategory ClosePunctuation

  Designates a Unicode 'Pe' (punctuation, close).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory ConnectorPunctuation

  Designates a Unicode 'Pc' (punctuation, connector).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory Control

  Designates a Unicode 'Cc' (other, control).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory CurrencySymbol

  Designates a Unicode 'Sc' (symbol, currency).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory DashPunctuation

  Designates a Unicode 'Pd' (punctuation, dash).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory DecimalDigitNumber

  Designates a Unicode 'Nd' (number, decimal digit).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory EnclosingMark

  Designates a Unicode 'Me' (mark, enclosing).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory FinalQuotePunctuation

  Designates a Unicode 'Pf' (punctuation, final quote).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory Format

  Designates a Unicode 'Cf' (other, format).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory InitialQuotePunctuation

  Designates a Unicode 'Pi' (punctuation, initial quote).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory LetterNumber

  Designates a Unicode 'Nl' (number, letter).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory LineSeparator

  Designates a Unicode 'Zl' (separator, line).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory LowercaseLetter

  Designates a Unicode 'Ll' (letter, lowercase).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory MathSymbol

  Designates a Unicode 'Sm' (symbol, math).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory ModifierLetter

  Designates a Unicode 'Lm' (letter, modifier).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory ModifierSymbol

  Designates a Unicode 'Sk' (symbol, modifier).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory NonSpacingMark

  Designates a Unicode 'Mn' (mark, non-spacing).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory OpenPunctuation

  Designates a Unicode 'Ps' (punctuation, open).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory OtherLetter

  Designates a Unicode 'Lo' (letter, other: not an uppercase letter, a lowercase letter, a titlecase letter, or a modifier letter).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory OtherNotAssigned

  Designates a Unicode 'Cn' (other, not assigned).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory OtherNumber

  Designates a Unicode 'No' (number, other: not a decimal digit number or a letter number).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory OtherPunctuation

  Designates a Unicode 'Po' (punctuation, other: not connector, dash, open, close, initial quote, or final quote punctuation).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory OtherSymbol

  Designates a Unicode 'So' (symbol, other: not a math, currency, or modifier symbol).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory ParagraphSeparator

  Designates a Unicode 'Zp' (separator, paragraph).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory PrivateUse

  Designates a Unicode 'Co' (other, private use).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory SpaceSeparator

  Designates a Unicode 'Zs' (separator, space).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory SpacingCombiningMark

  Designates a Unicode 'Mc' (mark, spacing combining).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory Surrogate

  Designates a Unicode 'Cs' (other, surrogate).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory TitlecaseLetter

  Designates a Unicode 'Lt' (letter, titlecase).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.UnicodeCategory UppercaseLetter

  Designates a Unicode 'Lu' (letter, uppercase).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)